Skip to main content
GET
/
v1
/
call-log
/
{id}
cURL
curl --request GET \
  --url https://client-api.salesfinity.co/v1/call-log/{id} \
  --header 'x-api-key: <api-key>'
{}
Retrieves a single call log entry by its ID.

Path Parameters

  • id (required, string): Call log ID

Response

Returns the call log object matching the given ID, or 404 if not found.
{
  "data": {
    "_id": "507f1f77bcf86cd799439011",
    "call_id": "call_abc123",
    "outcome": "answered",
    "direction": "outbound",
    "answered_by": "human",
    "duration": 180,
    "to": "+1234567890",
    "from": "+1987654321",
    "disposition": {
      "internal_id": 1,
      "external_id": "meeting_set",
      "external_name": "Meeting Set"
    },
    "contact": {
      "first_name": "John",
      "last_name": "Doe",
      "company": "Acme Corp",
      "email": "[email protected]",
      "title": "VP of Sales"
    },
    "contact_list": {
      "_id": "507f1f77bcf86cd799439022",
      "name": "Q1 Prospects"
    },
    "user": {
      "_id": "507f1f77bcf86cd799439033",
      "first_name": "Jane",
      "last_name": "Smith",
      "email": "[email protected]"
    },
    "recording_url": "https://recordings.example.com/call_abc123.mp3",
    "notes": "Great conversation, follow up next week",
    "is_completed": true,
    "started_at": "2024-01-15T14:30:00.000Z",
    "ended_at": "2024-01-15T14:33:00.000Z",
    "createdAt": "2024-01-15T14:33:00.000Z",
    "updatedAt": "2024-01-15T14:33:00.000Z"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Call log ID

Response

Call log retrieved successfully

The response is of type object.